Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Validate an external storage configuration

$ openai admin:organization:external-storage validate
POST
/organization/external_storage/{external_storage_id}/validate

Validate one customer-managed external storage configuration.

Parameters
--external-storage-id: string
Returns
external_storage_configuration: object { id, created_at, geography, 4 more }
id: string
created_at: number
geography: string
object: "organization.external_storage"
project_id: string
provider: AwsExternalStorageProvider { account_id, bucket, external_id, 3 more } or AzureExternalStorageProvider { account_name, container, region, 4 more } or GcpExternalStorageProvider { audience, bucket, region, 4 more } or OciExternalStorageProvider { bucket, region, tenancy_ocid, type }
status: "pending" or "validated" or "degraded" or "unhealthy"

Validate an external storage configuration

openai admin:organization:external-storage validate \
  --admin-api-key 'My Admin API Key' \
  --external-storage-id extstorage_123
Response example
{
  "object": "organization.external_storage",
  "id": "extstorage_azure123",
  "project_id": "proj_azure123",
  "provider": {
    "type": "azure",
    "tenant_id": "11111111-1111-1111-1111-111111111111",
    "subscription_id": "22222222-2222-2222-2222-222222222222",
    "resource_group": "customer-rg",
    "account_name": "customerstorage",
    "container": "openai-data",
    "region": "eastus"
  },
  "geography": "US",
  "status": "validated",
  "created_at": 1711471533
}
Returns Examples
Response example
{
  "object": "organization.external_storage",
  "id": "extstorage_azure123",
  "project_id": "proj_azure123",
  "provider": {
    "type": "azure",
    "tenant_id": "11111111-1111-1111-1111-111111111111",
    "subscription_id": "22222222-2222-2222-2222-222222222222",
    "resource_group": "customer-rg",
    "account_name": "customerstorage",
    "container": "openai-data",
    "region": "eastus"
  },
  "geography": "US",
  "status": "validated",
  "created_at": 1711471533
}